In /usr/bin/ldd line 26:
TEXTDOMAIN=libc
^--------^ SC2034: TEXTDOMAIN appears unused. Verify use (or export if used externally).


In /usr/bin/ldd line 27:
TEXTDOMAINDIR=/usr/share/locale
^-----------^ SC2034: TEXTDOMAINDIR appears unused. Verify use (or export if used externally).


In /usr/bin/ldd line 117:
  output=$(eval $add_env '"$@"' 2>&1; rc=$?; printf 'x'; exit $rc)
                ^------^ SC2086: Double quote to prevent globbing and word splitting.

Did you mean: 
  output=$(eval "$add_env" '"$@"' 2>&1; rc=$?; printf 'x'; exit $rc)


In /usr/bin/ldd line 157:
      if test -x $rtld; then
                 ^---^ SC2086: Double quote to prevent globbing and word splitting.

Did you mean: 
      if test -x "$rtld"; then


In /usr/bin/ldd line 158:
	dummy=`$rtld 2>&1` 
        ^---^ SC2034: dummy appears unused. Verify use (or export if used externally).
              ^----------^ SC2006: Use $(...) notation instead of legacy backticked `...`.

Did you mean: 
	dummy=$($rtld 2>&1) 


In /usr/bin/ldd line 160:
	  verify_out=`${rtld} --verify "$file"`
          ^--------^ SC2034: verify_out appears unused. Verify use (or export if used externally).
                     ^------------------------^ SC2006: Use $(...) notation instead of legacy backticked `...`.

Did you mean: 
	  verify_out=$(${rtld} --verify "$file")


In /usr/bin/ldd line 180:
      echo 'ldd:' ${RTLD} $"exited with unknown exit code" "($ret)" >&2
                  ^-----^ SC2086: Double quote to prevent globbing and word splitting.

Did you mean: 
      echo 'ldd:' "${RTLD}" $"exited with unknown exit code" "($ret)" >&2

For more information:
  https://www.shellcheck.net/wiki/SC2034 -- TEXTDOMAIN appears unused. Verify...
  https://www.shellcheck.net/wiki/SC2086 -- Double quote to prevent globbing ...
  https://www.shellcheck.net/wiki/SC2006 -- Use $(...) notation instead of le...